package com.buy507.mall.portal.dao;

import com.buy507.mall.model.CmsSubject;
import com.buy507.mall.model.PmsBrand;
import com.buy507.mall.model.PmsProduct;
import com.buy507.mall.portal.domain.FlashPromotionProduct;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 首页内容管理自定义Dao
 */
public interface HomeDao {

    /**
     * 获取推荐品牌
     */
    List<PmsBrand> getRecommendBrandList(@Param("offset") Integer offset,@Param("limit") Integer limit);

    /**
     * 获取秒杀商品
     */
    List<FlashPromotionProduct> getFlashProductList(@Param("flashPromotionId") Long flashPromotionId, @Param("sessionId") Long sessionId);

    /**
     * 获取新品推荐
     */
    List<PmsProduct> getNewProductList(@Param("offset") Integer offset,@Param("limit") Integer limit);
    /**
     * 获取人气推荐
     */
    List<PmsProduct> getHotProductList(@Param("offset") Integer offset,@Param("limit") Integer limit);

    /**
     * 获取推荐专题
     */
    List<CmsSubject> getRecommendSubjectList(@Param("offset") Integer offset, @Param("limit") Integer limit);
    /*
     * 获取所有商品信息按销量排序
     */
    List<PmsProduct> getAllPioductList();

    /**
     * 获取会员专区
     */
    List<PmsProduct> getProductVipStatus(@Param("offset") Integer offset,@Param("limit") Integer limit);

    /**
     * 获取积分专区
     */
    List<PmsProduct> getProductpointSareaStatus(@Param("offset") Integer offset,@Param("limit") Integer limit);

    /**
     * 获取积分兑换专区
     */
    List<PmsProduct> getProductpointsExchangeStatus(@Param("offset") Integer offset,@Param("limit") Integer limit);

    /**
     * 获取会员专区详情
     */
    List<PmsProduct> getVipStatusList();

    /**
     *获取积分专区商品
     */
    List<PmsProduct> getPointStatusList();

    /**
     *获取积分兑换专区商品
     */
    List<PmsProduct> getPointExchangeProductList();
}
